#include<bits/stdc++.h>
using namespace std;
#define ll long long

/*
vector<ll> a;
void resi(ll n, ll k);

int main(void)
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll n,k;
    cin>>n>>k;
    a.resize(n);
    for(ll i=0;i<n;i++)
        cin>>a[i];
    resi(n,k);

    return 0;
}


void resi(ll n, ll k)
{
    ll index=0;
    while(index!=n && k!=0)
    {
        ll mini=100000, in;
        for(ll i=index;i<=i+k-1;i++)
        {
            if(a[i]<mini) mini=a[i], in=i;
        }
        for(ll i=index;i<=in;i++) a.erase(a.begin()+i-1);
        index++;
        k=k-in-1;
    }
    for(ll i=0;i<a.size();i++)
        cout<<a[i]<<' ';
}
*/

//4 1
//4 8 6 3


/*
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    ll n,k;
    cin>>n>>k;
    ll a[n];
    for(ll i=0;i<n;i++)
        cin>>a[i];
    ll index=0;
    bool flag=true;
    while(k!=0)
    {
        if(index+k==n-1) k=0, flag=false;
        else
        {
            ll mini=INT_MAX, in;
            for(ll i=index;i<=i+k-1;i++)
            {
                if(a[i]<mini) mini=a[i], in=i;
            }
            k=k-in-index;
            index=in;
            cout<<a[index]<<' ';
        }
    }
    if(flag==true)
    {
        for(ll i=index;i<n;i++)
            cout<<a[i]<<' ';
    }
    return 0;
}
*/

int main(void)
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ll n,k;
    cin>>n>>k;
    ll a[n];
    for(ll i=0;i<n;i++)
        cin>>a[i];
    if(k==1)
    {
        if(a[0]>a[1])
        {
            for(ll i=1;i<n;i++) cout<<a[i]<<' ';
        }
        else
        {
            ll mini=INT_MIN;
            ll in;
            for(ll i=0;i<n;i++)
                if(a[i]>mini) mini=a[i], in=i;
            for(ll i=0;i<in;i++)
                cout<<a[i]<<' ';
            for(ll i=in+1;i<n;i++)
                cout<<a[i]<<' ';
        }
    }
}